Bug 835925 - [abrt] leafpad-0.8.18.1-4.fc17: magazine_chain_pop_head: Process /usr/bin/leafpad was killed by signal 11 (SIGSEGV)
[abrt] leafpad-0.8.18.1-4.fc17: magazine_chain_pop_head: Process /usr/bin/lea...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: leafpad (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:b5fb3e92044a8a85cf96606a9b1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 10:41 EDT by Shailender
Modified: 2013-07-31 18:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (5.70 KB, text/plain)
2012-06-27 10:41 EDT, Shailender
no flags Details
File: maps (30.25 KB, text/plain)
2012-06-27 10:41 EDT, Shailender
no flags Details
File: backtrace (43.73 KB, text/plain)
2012-06-27 10:41 EDT, Shailender
no flags Details

  None (edit)
Description Shailender 2012-06-27 10:41:31 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        leafpad
crash_function: magazine_chain_pop_head
executable:     /usr/bin/leafpad
kernel:         3.4.3-1.fc17.x86_64
pid:            1967
pwd:            /home/sthakur
time:           Wed 27 Jun 2012 10:30:12 AM EDT
uid:            1001
username:       sthakur

backtrace:      Text file, 44779 bytes
dso_list:       Text file, 5839 bytes
maps:           Text file, 30971 bytes

build_ids:
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:b6d75088f555d197be1476cb1c580640826ae029
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:ac943af4aaadceb5deb00b73d39c85444512c747
:b277af36744327e3d58eae76bcdaadcca71a28c6
:822e9b3523e8312240f41a25722d539bc77ed436
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:ec87953f655fbcbcbe71b591db5451e56739576e
:f64b7319b84d426ed547084bdb2577f4f596c18f
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:31243d0d107bba586a96433c76c87a26db1e826c
:253afe744466fe7580bbb6040de6183dba9e2b02
:127f8958b602715234a02b88adb08afd9e34c203
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:508cf66f72e70054a41215f80ed2385c6bb80030
:54a5cc118d928470da13565de8592b664a9868e0
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:82cd139d5fd27bf19d48342b43408ad2642ebac7
:67792c148d2b8f13f6732c9367e926c26d7376c5
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:f4d479614b09460085428bbe7d53df454d0d39e5
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:8c1105fdca80308f44d545b954a7dcd518f98db5
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8f7c190397d7c1f617e66f18f759714662b60367
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:247132297f287226a24c12e683292f5c94013066
:5350b5972464f66f404861dc50225a114a2a5e7e
:d8d393649ae4da146ebc8812db58514f245f08a9

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sthakur/2

core_backtrace:
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6173f g_slice_alloc libglib-2.0.so.0 -
:5350b5972464f66f404861dc50225a114a2a5e7e 0x220d2 - libpango-1.0.so.0 -
:5350b5972464f66f404861dc50225a114a2a5e7e 0x24560 pango_layout_get_iter libpango-1.0.so.0 -
:5350b5972464f66f404861dc50225a114a2a5e7e 0x24ebe pango_layout_get_cursor_pos libpango-1.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x208844 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x209daf gtk_text_layout_get_line_display libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x20b547 gtk_text_layout_get_cursor_locations libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x217b90 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x217bc7 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x21ce00 - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x1f2a4c - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x1f5104 gtk_text_buffer_select_range libgtk-x11-2.0.so.0 -
:82cd139d5fd27bf19d48342b43408ad2642ebac7 0xcf02 - [exe] -
:82cd139d5fd27bf19d48342b43408ad2642ebac7 0x8ab3 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x2805bc gtk_widget_activate libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x16457d gtk_menu_shell_activate_item libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x16497c - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14b8e4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bc4b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:82cd139d5fd27bf19d48342b43408ad2642ebac7 0x7d78 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1179
:HOSTNAME=ideapad
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=69f877f43bb53ea15c13e03a00000013-1340806332.163689-1228799346
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/sthakur/keyring-k3xQCK
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=sthakur
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-azdjaadP1048/agent.1048
:USERNAME=sthakur
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/sthakur
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/opt/jdk1.6.0_32/bin:/opt/apache-maven-2.2.1/bin:/home/sthakur/.local/bin:/home/sthakur/bin
:QT_IM_MODULE=xim
:PWD=/home/sthakur
:JAVA_HOME=/opt/jdk1.6.0_32
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1046
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/sthakur
:XDG_SEAT=seat0
:LOGNAME=sthakur
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-xEzU9HWOsZ,guid=b8bf8326a93e3a6b69c3c2af0000003a
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sthakur
:GLADE_CATALOG_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-sthakur-zZHxq8/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1202,unix/unix:/tmp/.ICE-unix/1202
:GPG_AGENT_INFO=/home/sthakur/.gnupg/S.gpg-agent:1205:1
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-panel/leafpad/1208-1-ideapad_TIME1119420

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 45973                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       45973                45973                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:socket:[29378]
:pos:	0
:flags:	02004002
:1:/home/sthakur/.xsession-errors
:pos:	2901
:flags:	0102002
:2:/home/sthakur/.xsession-errors
:pos:	2901
:flags:	0102002
:3:socket:[29374]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[32693]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000

var_log_messages:
:Jun 27 10:30:12 ideapad kernel: [ 1137.239261] leafpad[1967] general protection ip:359586173f sp:7fff377e8580 error:0 in libglib-2.0.so.0.3200.3[3595800000+11d000]
:Jun 27 10:30:12 ideapad abrt[2014]: Saved core dump of pid 1967 (/usr/bin/leafpad) to /var/spool/abrt/ccpp-2012-06-27-10:30:12-1967 (48521216 bytes)
Comment 1 Shailender 2012-06-27 10:41:35 EDT
Created attachment 594804 [details]
File: dso_list
Comment 2 Shailender 2012-06-27 10:41:36 EDT
Created attachment 594805 [details]
File: maps
Comment 3 Shailender 2012-06-27 10:41:38 EDT
Created attachment 594806 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-07-03 17:30:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 18:37:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.